Bug 732874 - RFE: warn if user tries to stop unknown unit
RFE: warn if user tries to stop unknown unit
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Sekletar
Fedora Extras Quality Assurance
:
: 772391 (view as bug list)
Depends On: 833549 833551
Blocks: systemd-RFE
  Show dependency treegraph
 
Reported: 2011-08-23 22:37 EDT by Michael Ekstrand
Modified: 2012-10-12 12:45 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-07 18:50:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Ekstrand 2011-08-23 22:37:09 EDT
Description of problem:
When systemctl is asked to operate on a nonexistent unit (e.g. start/stop it), it silently does nothing.  No feedback is provided to the user that the unit does not exist.

Version-Release number of selected component (if applicable):
systemd-26-8.fc15.i686

How reproducible:
Always

Steps to Reproduce:
1. systemctl stop libvertd.service (or any other nonexistent service)
  
Actual results:
Nothing and a 0 exit code

Expected results:
# systemctl stop libvertd.service
libvertd.service: unit not found
<nonzero exit code>

Bonus points for:
# systemctl stop libvertd.service
libvertd.service: unit not found
    Perhaps you meant: libvirtd.service
<nonzero exit code>
Comment 1 Fedora Admin XMLRPC Client 2011-10-20 12:29:01 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Michal Schmidt 2012-01-09 08:54:24 EST
*** Bug 772391 has been marked as a duplicate of this bug. ***
Comment 3 Jóhann B. Guðmundsson 2012-02-20 06:30:24 EST
Given that we will be only back porting important fixes for F15 at this point in time I'm moving this RFE against Rawhide so it does not get forgotten or lost in the EOL process.
Comment 4 Michal Schmidt 2012-06-19 05:48:09 EDT
Applied Michal Sekletar's patch upstream:
http://cgit.freedesktop.org/systemd/systemd/commit/?id=9722ef2565fdddd64deaa99d7665ca0fdafed1a5
Comment 5 Fedora Update System 2012-09-20 15:57:07 EDT
systemd-190-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/systemd-190-1.fc18
Comment 6 Fedora Update System 2012-09-22 02:38:13 EDT
Package systemd-191-2.fc18, rtkit-0.11-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-191-2.fc18 rtkit-0.11-3.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14581/rtkit-0.11-3.fc18,systemd-191-2.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-09-27 20:18:47 EDT
Package glibc-2.16-17.fc18, systemd-192-1.fc18, selinux-policy-3.11.1-23.fc18, rtkit-0.11-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.16-17.fc18 systemd-192-1.fc18 selinux-policy-3.11.1-23.fc18 rtkit-0.11-3.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14581/selinux-policy-3.11.1-23.fc18,rtkit-0.11-3.fc18,systemd-192-1.fc18,glibc-2.16-17.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-10-01 16:11:42 EDT
Package glibc-2.16-17.fc18, rtkit-0.11-3.fc18, systemd-193-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.16-17.fc18 rtkit-0.11-3.fc18 systemd-193-1.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14581/rtkit-0.11-3.fc18,systemd-193-1.fc18,glibc-2.16-17.fc18
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-10-12 12:45:44 EDT
systemd-44-20.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/systemd-44-20.fc17

Note You need to log in before you can comment on or make changes to this bug.